---
title: Usage
---
# Usage

## Add a new model

1. In the Manage administrative menu, navigate to Configuration > Workflow > ECA (/admin/config/workflow/eca).
   A page appears where existing models are listed.
2. Click on *Add new BPMN.iO model*. The BPMN.iO modeller appears.
3. On the right-hand side of the BPMN.iO modeller interface you will
   find a form to configure the currently selected business process
   element (click on arrows beside the label to show or hide the form
   input elements):
   
   ![BPMN.iO element configuration form](/images/bpmn_configuration_form.png)
   
   - **Name**: The name of your model.
   - **ID**: generated automatically by default.
   - **Version tag**: version of your model.
   - **Executable**: uncheck to disable the model.
   - **Documentation**:

4. Click *Save*.

## Keyboard Shortcuts

When the focus is inside the BPMN canvas, there is support for the following shortcuts:

| Function       | Shortcut      |
|----------------|---------------|
| Undo           | ctrl + Z      |
| Redo           | ctrl + Y      |
| Select All     | ctrl + A      |
| Copy           | ctrl + C      |
| Paste          | ctrl + V      |
| Find           | ctrl + F      |
| Scrolling      | ctrl + Arrows |
| Direct Editing | E             |
| Hand Tool      | H             |
| Lasso Tool     | L             |
| Space Tool     | S             |
