---
title: "Shared temporary store: read"
tags:
- action
- eca_base
- eca action 2.0.0
---
# Shared temporary store: read

Available since: 2.0.0

Reads a value from the Drupal shared temporary store by the given key. The result is stored in a token.

{!include/plugins/eca_base/action/eca_sharedtempstore_read.md!}

## Fields

`Collection`

:   The collection of the store.

    {!include/plugins/eca_base/action/eca_sharedtempstore_read/collection.md!}

`Store key`

:   The key of the value in the store.

    {!include/plugins/eca_base/action/eca_sharedtempstore_read/key.md!}

`Name of token`

:   The name of the token, the value is stored into. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_sharedtempstore_read/token_name.md!}
