---
title: "Persistent state: compare"
tags:
- condition
- eca_base
- eca condition 1.0.0
---
# Persistent state: compare

Available since: 1.0.0



{!include/plugins/eca_base/condition/eca_state.md!}

## Fields

`Key`

:   The key of the state.

    {!include/plugins/eca_base/condition/eca_state/key.md!}

`Value`

:   The value of the state.

    {!include/plugins/eca_base/condition/eca_state/value.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_state_operator</em>

    {!include/plugins/eca_base/condition/eca_state/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_state_type</em>

    {!include/plugins/eca_base/condition/eca_state/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_base/condition/eca_state/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_base/condition/eca_state/negate.md!}
