---
title: "Entity: get list of bundles"
tags:
- action
- eca_content
- eca action 2.1.0
---
# Entity: get list of bundles

Available since: 2.1.0

Gets the list of bundles for a given entity type.

{!include/plugins/eca_content/action/eca_get_bundle_list.md!}

## Fields

`Name of token`

:   Provide the name of a token that holds the bundle list. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_get_bundle_list/token_name.md!}

`Type`

:   The entity type for which to receive the list of bundles.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_get_bundle_list_type</em>

    {!include/plugins/eca_content/action/eca_get_bundle_list/type.md!}

`Mode`

:   This either returns a list of bundle IDs or of their labels.

    {!include/plugins/eca_content/action/eca_get_bundle_list/mode.md!}
