---
title: "Entity: field value changed"
tags:
- condition
- eca_content
- eca condition 1.0.0
---
# Entity: field value changed

Available since: 1.0.0

Evaluates against the change of a value field of an entity.

{!include/plugins/eca_content/condition/eca_entity_field_value_changed.md!}

## Fields

`Field name`

:   The field name of the entity to check, if its value has changed.

    {!include/plugins/eca_content/condition/eca_entity_field_value_changed/field_name.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_content/condition/eca_entity_field_value_changed/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/condition/eca_entity_field_value_changed/entity.md!}
