---
title: "Response: set headers"
tags:
- action
- eca_endpoint
- eca action 1.1.0
---
# Response: set headers

Available since: 1.1.0



{!include/plugins/eca_endpoint/action/eca_endpoint_set_response_headers.md!}

## Fields

`Headers`

:   The headers to set. If you can also use YAML syntax by enabling it below.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_response_headers/headers.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>Content-Type: "text/html; charset=UTF-8"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>Content-Type: "[content_type]"</em>

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_response_headers/use_yaml.md!}
