---
title: "Form: get errors"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: get errors

Available since: 1.0.0

Makes form errors available as token.

{!include/plugins/eca_form/action/eca_form_get_errors.md!}

## Fields

`Name of token`

:   The token will hold the list of existing form errors, keyed by form element. For example, when token name is defines as "<em>errors</em>", then a specific element may be accessed with <em>[errors:&lt;field_name&gt;]</em>. Please provide the token name only, without brackets.

    {!include/plugins/eca_form/action/eca_form_get_errors/token_name.md!}
