---
title: "Form field: exists"
tags:
- condition
- eca_form
- eca condition 1.0.0
---
# Form field: exists

Available since: 1.0.0

Looks up the current form structure whether a specified field exists.

{!include/plugins/eca_form/condition/eca_form_field_exists.md!}

## Fields

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/condition/eca_form_field_exists/field_name.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_form/condition/eca_form_field_exists/negate.md!}
