---
title: "ECA Helper: Remove headers"
tags:
- action
- eca_helper
- eca_helper action unknown
---
# ECA Helper: Remove headers

Available since: unknown

Action remove headers value for response.

{!include/plugins/eca_helper/action/eca_helper_header_remove.md!}

## Fields

`Headers`

:   The headers to set. If you can also use YAML syntax by enabling it below.<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_header_remove/headers.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>Content-Type: "text/html; charset=UTF-8"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>Content-Type: "[content_type]"</em>

    {!include/plugins/eca_helper/action/eca_helper_header_remove/use_yaml.md!}
