---
title: "Token: load query argument"
tags:
- action
- eca_misc
- eca action 2.1.0
---
# Token: load query argument

Available since: 2.1.0

Loads a query argument from the request into the token environment.

{!include/plugins/eca_misc/action/eca_token_load_query_arg.md!}

## Fields

`Name of query argument`

:   <br/>This field supports tokens.

    {!include/plugins/eca_misc/action/eca_token_load_query_arg/argument_name.md!}

`Name of token`

:   The name of the token, the argument value gets stored into. Please provide the token name only, without brackets.

    {!include/plugins/eca_misc/action/eca_token_load_query_arg/token_name.md!}
