---
title: "Tamper: Get number of words"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Get number of words

Available since: 1.0.0

Get the number of words in a string

{!include/plugins/eca_tamper/action/eca_tamper_word_count.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_word_count/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_word_count/eca_token_name.md!}

`Limit`

:   If limit is set and positive, the returned items will contain a maximum of limit with the last item containing the rest of string. If limit is negative, all components except the last -limit are returned. If the limit parameter is zero, then this is treated as 1. If limit is not set, then there will be no limit on the number of items returned.

    {!include/plugins/eca_tamper/action/eca_tamper_word_count/limit.md!}
