---
title: "Tamper: Set value or default value"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Set value or default value

Available since: 1.0.0

Set value or default value.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:default_value_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:default_value_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/negate.md!}

`Value`

:   This field will be set to the value specified.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/default_value.md!}

`Only if empty`

:   This field will be set to the value specified only if the imported field is empty.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/only_if_empty.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_default_value/right.md!}
