---
title: "Tamper: Rewrite"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Rewrite

Available since: 1.0.0

Rewrite a field using tokens.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:rewrite_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:rewrite_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/negate.md!}

`Replacement pattern`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/text.md!}

`Available replacement patterns`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/help.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_rewrite/right.md!}
