---
title: "Push a notification to a channel."
tags:
- action
- push_framework
- push_framework action unknown
---
# Push a notification to a channel.

Available since: unknown



{!include/plugins/push_framework/action/push_framework_notify.md!}

## Fields

`Entity`

:   Provide the token name of the <em class="placeholder">user</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/push_framework/action/push_framework_notify/object.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/push_framework/action/push_framework_notify/replace_tokens.md!}
