---
title: "Token: set random value"
tags:
- action
- eca_base
- eca action 2.1.0
---
# Token: set random value

Available since: 2.1.0

Create a random value and store it in a token.

{!include/plugins/eca_base/action/eca_token_set_random_value.md!}

## Fields

`Name of token`

:   Provide the name of a token where the value should be stored. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_token_set_random_value/token_name.md!}

`Mode`

:   The type of random value to generate.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_token_set_random_value_mode</em>

    {!include/plugins/eca_base/action/eca_token_set_random_value/mode.md!}

`Length or min/max`

:   The length or min/max range of the random value. For sentences, this value determines the number of words and for paragraphs it determines the number of paragraphs. For integer mode, please provide comma separated values for minimum and maximum value. Missing values default to PHPs built in mix and max integer values. For the image mode, please provide a comma separated min and max resolution, defaults to "100x100,1920x1080". For the image mode, the token will contain the path to the generated random image file.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_token_set_random_value/length.md!}
