---
title: "Entity: set new revision"
tags:
- action
- eca_content
- eca action 1.0.0
---
# Entity: set new revision

Available since: 1.0.0

Flags the entity so that a new revision will be created on the next save.

{!include/plugins/eca_content/action/eca_set_new_revision.md!}

## Fields

`Create new revision`

:   Whether to create a new revision or not

    {!include/plugins/eca_content/action/eca_set_new_revision/new_revision.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_set_new_revision/object.md!}
