---
title: "Request: Get URL query parameter"
tags:
- action
- eca_endpoint
- eca action 1.1.0
---
# Request: Get URL query parameter

Available since: 1.1.0



{!include/plugins/eca_endpoint/action/eca_endpoint_get_query_parameter.md!}

## Fields

`Query parameter name`

:   The name of the URL query parameter. Example: To get the parameter of the destination parameter <em>?destination=...</em>, then set <em>destination</em> as the parameter name. When this field is empty, then all parameters will be returned as a list, keyed by parameter name.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_get_query_parameter/name.md!}

`Name of token`

:    Please provide the token name only, without brackets.

    {!include/plugins/eca_endpoint/action/eca_endpoint_get_query_parameter/token_name.md!}
