---
title: "Form: add hidden field"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: add hidden field

Available since: 1.0.0

Add a hidden input field to the current form in scope.

{!include/plugins/eca_form/action/eca_form_add_hiddenfield.md!}

## Fields

`Value`

:   The value of the hidden field.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_add_hiddenfield/value.md!}

`Field name`

:   The field name is a machine name and is used for being identified on form submission. Example: <em>first_name</em>. It can later be accessed via token <em>[current_form:values:first_name]</em>.

    {!include/plugins/eca_form/action/eca_form_add_hiddenfield/name.md!}

`Element weight`

:   The lower the weight, the submit action appears before other submit actions having a higher weight.

    {!include/plugins/eca_form/action/eca_form_add_hiddenfield/weight.md!}
