---
title: " Resource Weight Events: show"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Resource Weight Events: show

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_resourceweightevents_show.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:resourceweightevents_show_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_resourceweightevents_show/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_resourceweightevents_show/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_resourceweightevents_show/api_project_id.md!}

`Issue Iid`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_resourceweightevents_show/api_issue_iid.md!}

`Resource Label Event Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_resourceweightevents_show/api_resource_label_event_id.md!}
