---
title: "Provide a list of tags"
tags:
- event
- eca_metatag
- eca_metatag event 1.0.0
---
# Provide a list of tags

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_metatag/event/eca_metatag_tags.md!}

