---
title: "Build render array"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Build render array

Available since: 1.0.0

Fires, when a render array of a component is built.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_misc/event/drupal_section_component_build_render_array.md!}

