---
title: "Tamper: Time Offset"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Time Offset

Available since: 1.0.0

Offset timestamp.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:timeoffset_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:timeoffset_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset/negate.md!}

`Timezone`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset/timezone.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_timeoffset/right.md!}
